<div class="list">
  <div class="new">
  <br>
  <button mat-raised-button color="primary" routerLink="/tracker">Create New Task</button>
  </div>
  <div class="searchbar">
  <mat-form-field>
    <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Search">
  </mat-form-field>
</div>
<div>
    <table mat-table [dataSource]="dataSource" matSort class="mat-elevation-z8">
      <ng-container matColumnDef="id">
        <th mat-header-cell *matHeaderCellDef>ID</th>
        <td mat-cell *matCellDef="let element"> {{element._id}} </td>
      </ng-container>
      <ng-container matColumnDef="description">
        <th mat-header-cell *matHeaderCellDef>Decription</th>
        <td mat-cell *matCellDef="let element"> {{element.description}} </td>
      </ng-container>
      <ng-container matColumnDef="trackedTime">
        <th mat-header-cell *matHeaderCellDef>Total Time</th>
        <td mat-cell *matCellDef="let element"> {{element.trackedTime | date:'HH:mm:ss'}} </td>
      </ng-container>
      <ng-container matColumnDef="bookingDate">
        <th mat-header-cell *matHeaderCellDef>Finished/Last Updated</th>
        <td mat-cell *matCellDef="let element"> {{element.bookingDate | date:'dd:MM:yy HH:mm:ss'}} </td>
      </ng-container>
<
      <ng-container matColumnDef="actions">
        <th mat-header-cell *matHeaderCellDef class="mat-column-right">Actions</th>
        <td mat-cell *matCellDef="let element" class="mat-column-right">
          <button mat-button color="warn" (click)="deleteTask(element._id)">Delete</button>
        </td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>
    <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]" showFirstLastButtons></mat-paginator>
</div>
</div>

